ErrorHandlingMode (install4j API)
Description: declaration: package: com.install4j.api.beans, enum: ErrorHandlingMode

Package com.install4j.api.beans

# Enum Class ErrorHandlingMode

java.lang.Object
java.lang.Enum<ErrorHandlingMode>
com.install4j.api.beans.ErrorHandlingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorHandlingMode>`, `Constable`

public enum ErrorHandlingMode extends Enum<ErrorHandlingMode>
Indicates the action that should be taken after an error has occurred.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCEL`
  Cancel the current operation.
  `IGNORE`
  Ignore the error and continue.
  `RETRY`
  Retry the operation that just failed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ErrorHandlingMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorHandlingMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RETRY

    public static final ErrorHandlingMode RETRY
    Retry the operation that just failed.

  - ### IGNORE

    public static final ErrorHandlingMode IGNORE
    Ignore the error and continue.

  - ### CANCEL

    public static final ErrorHandlingMode CANCEL
    Cancel the current operation.

- ## Method Details

  - ### values

    public static ErrorHandlingMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorHandlingMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ErrorHandlingMode>`